/* eslint-disable import/order */
// 此文件自动生成，不要手工修改
import Vue from 'vue'
import {
Card,
Icon,
Modal,
Tabs,
Upload,
} from 'ant-design-vue'
import SdDataTable from '@/common/components/sd-data-table.vue'
import SdForm from '@/common/components/sd-form.vue'
import SdFormItem from '@/common/components/sd-form-item.vue'
import SdNav from '../sd-nav.vue'
import SdNavHiera from '../sd-nav-hiera.vue'
import SdNavOwner from '../sd-nav-owner.vue'
import SdNavPermissionQuery from '../sd-nav-permission-query.vue'
import SdNavTree from '../sd-nav-tree.vue'
import SdPickerSourceTree from '@/common/components/sd-picker-source-tree.vue'
import SdValuePicker from '@/common/components/sd-value-picker.vue'

Vue.use(Card)
Vue.use(Icon)
Vue.use(Modal)
Vue.use(Tabs)
Vue.use(Upload)

export default {
  SdDataTable,
  SdForm,
  SdFormItem,
  SdNav,
  SdNavHiera,
  SdNavOwner,
  SdNavPermissionQuery,
  SdNavTree,
  SdPickerSourceTree,
  SdValuePicker,
}
